×
Kunena 5.2 RC3 Released (Yesterday)

The Kunena team is thrilled to announce the third public release candidate of Kunena 5.2, a native Joomla extension for Joomla 3.9. This is a development release and should be only be used for testing; this version is not recommended for live websites at this stage.

The purpose of this release is to encourage testing by downloading, installing and identifying any problems or shortcomings that people may discover. K 5.2.0 RC3 is stable and we are aware that people will discover defects. We encourage you to use the forum to report defects, as soon as they are discovered, so that the development team can work through the problems before the release of K 5.1 as a stable product. Reporting defects does not mean that the problems can or will be fixed. The Kunena team is looking forward to hearing your feedback on how well we have achieved our design goals.

Question [Merged topic]The great Mootools/Javascript conflict discussion

More
9 years 10 months ago #751 by Aventura
The pixsearch module can be disabled on kunena by going to the module manager and editing its menu assignments. The com_community ones are jomsocial and I'm not sure wether those libraries are for modules or its core as I don't use it myself. A global disable of jomsocial whilst the site is in maintenance mode will tell you whether it is a cause or not though (and not mess up user registration etc.

Aventura
The following user(s) said Thank You: daviddmf
The topic has been locked.
More
9 years 10 months ago #752 by daviddmf
really appreciate your help will follow your instructions
The topic has been locked.
More
9 years 10 months ago #753 by daviddmf
Aventura I did try a global disable of jomsocial by going into the install/uninstall admin tab and selecting 'disable' on the jomsocial comp. But that did not allow the bbcodes and smilies to work.
Then I disabled the pixsearch module and deselected the forum from the list but that too did not do the trick. So one can only assume that it is not the javascript libraries causing the problem.
Thanks
The topic has been locked.
More
9 years 10 months ago #754 by Pereira
After an update of joomla PT from 1.5.15 to 1.5.22 and an Upgrade from Fireboard to Kunena 1.6.2. Everything is ok, except the user profile editor. I have been reading all the 4 threats in the forum around this problem. I am going to post my situation (sorry if I shouldn´t post my web site).

My profile user page is: www.matospereira.com/np/forum/perfil.html

user:test
password:test123

Are you able to help me? thanks!
The topic has been locked.
More
9 years 10 months ago - 9 years 10 months ago #755 by Aventura
Did you disable them individually or all at once? It may be that together they cause a problem and on their own another, however as you say it may also be not the javascript libraries but seen as those areas are javascript it is almost guaranteed to be related to javascript somewhere.

Aventura
Last edit: 9 years 10 months ago by Aventura.
The topic has been locked.
More
9 years 10 months ago #756 by daviddmf
Well what I did was to first remove all kunena pointers from the pixsearch module. Then I completely disabled jomsocial while the site was online. And neither had any effect on resolving the kunena bug. (Missing bbcode and smilies.) I wonder could it be the mootools option in my jsfresh template currently set to mootools enabled. That is joomla core mootools?

Cheers!
The topic has been locked.
More
9 years 10 months ago - 9 years 10 months ago #757 by sozzled
David, I'm 99.99% certain that your issue is a Mootools/Javascript library conflict. Parts of your website seem to function OK but there are other parts (that I haven't seen, because I don't have access to them) that may not.

I am assuming that the main problem involves the loss of the BBcode toolbar (see msg #1 in this topic for an illustration of the problem) and if your case mirrors the situation illustrated then I can say, without fear of contradiction, that you have some Javascript library that is interfering with Mootools 1.2.4 because if you didn't have this conflict then you would see the BBcode toolbar.

There's a difference between disabling and uninstalling. You may need to consider taking more drastic steps.

Did you read the topic Which came first, the template or the forum? . What we are saying, in effect, is that Joomla site templates, the menuing systems that they use, or add-ons installed with Joomla site templates, are a primary source of introducing new Javascript library components into the Joomla soup. In my case I prefer a relatively thin consommé while other people desire a rich crème. The more ingredients you have, the more complications that can arise.

Have you tested Joomla 1.5.22 + K 1.6.2 on a test site (on your server) with no other extensions, using rhuk_milkyway template, just to make sure that this problem is not a Kunena problem?
Last edit: 9 years 10 months ago by sozzled.
The topic has been locked.
More
9 years 10 months ago #758 by daviddmf
Sozzled OK thank you I will continue to explore. I think it may be the template I am using js_fresh. I posted this on the Joomlashack website 6 months ago but did not get a reply:

Hello I have encountered a few problems using your free js fresh template and the main problem is related to the fact that the template may be coded for the older version of mootools.js v1.1

In order for certain elements of kunena to work properly and I think possibly even jomsocial the template has to be compatible with the latest version of mootools v1.2+ and also the system-mootools upgrade plugin required for some extensions such as kunena 1.6

My question is does your js fresh template fulfill these requirements and if not how much would it cost to get the template coded so that it is compatible with the following:

From Kunena forum board "Unfortunately there is no general advice we can give you on the world of Joomla templates other than to look for the ones that are either based on or support Mootools 1.2[4]. Any current jQuery template will also work. "

thread: docs.kunena.com/index.php/Mootools_1.2.4

I know that this is a free template so you would perhaps spend less time doctoring it than your premium templates, but I do love it and need it to work
as I hope to continue using it.

Perhaps you should offer two versions. One which is maintained and one which is not.
The topic has been locked.
More
9 years 10 months ago - 9 years 10 months ago #759 by sozzled
I want to congratulate you, David, for directing your problems to the developer of the Joomla template that you've chosen and I wish you success in resolving your particular issues and concerns. I have consistently advised people who have template issues to approach the developers of these products in the first instance.

People may not realise that they have enormous power to change the situation. Sometimes it requires making the effort to inform software developers that their products have fallen behind the current technology state-of-play. The Kunena project team is acutely aware of the need to ensure the product keeps in step with the direction taken by the Joomla community as a whole.

However, from what you wrote, I believe that you have already answered your own question. Mootools 1.2.4 is not compatible with Mootools 1.1 and therefore Kunena 1.6 will not work under those conditions.
Last edit: 9 years 10 months ago by sozzled.
The following user(s) said Thank You: daviddmf
The topic has been locked.
More
9 years 10 months ago #760 by daviddmf
Sozzled I got it right from the start then as I posted that request 6 months ago. However I am not totally sure that the js_fresh does use the older mootools version. I wouldn't know how to check this. I did follow the link in your last post but was not able to see from the source code if js_fresh is using the older mootools for certain. The other point is that I did not get a reply from the devs. As it is a free template I doubt if they would allocate much time to resolving issues with it. However I have taken your advice and asked a dev to upload latest joomla version with Js_fresh template and latest kunena and then we will know for sure if that is the problem. If it is then I will need to hire a dev to modify the template so that it does work with the mootools 1.2.4.
Its just as well you are a patient kind of guy or else we would really be in the thick of it.
The topic has been locked.
  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.229 seconds